summaryrefslogtreecommitdiffstats
path: root/source/l/polkit
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/polkit')
-rw-r--r--source/l/polkit/05_revert-admin-identities-unix-group-wheel.patch39
-rwxr-xr-xsource/l/polkit/polkit.SlackBuild6
2 files changed, 43 insertions, 2 deletions
diff --git a/source/l/polkit/05_revert-admin-identities-unix-group-wheel.patch b/source/l/polkit/05_revert-admin-identities-unix-group-wheel.patch
new file mode 100644
index 000000000..1562e69db
--- /dev/null
+++ b/source/l/polkit/05_revert-admin-identities-unix-group-wheel.patch
@@ -0,0 +1,39 @@
+From 1892aeb9c13841335a4ac383e8a787a3c2728c45 Mon Sep 17 00:00:00 2001
+From: Michael Biebl <biebl@debian.org>
+Date: Fri, 9 Dec 2011 00:31:21 +0100
+Subject: [PATCH] Revert "Default to AdminIdentities=unix-group:wheel for
+ local authority"
+
+This reverts commit 763faf434b445c20ae9529100d3ef5290976d0c9.
+---
+ docs/man/pklocalauthority.xml | 4 ++--
+ src/polkitbackend/50-localauthority.conf | 2 +-
+ 2 files changed, 3 insertions(+), 3 deletions(-)
+
+Index: policykit/docs/man/pklocalauthority.xml
+===================================================================
+--- policykit.orig/docs/man/pklocalauthority.xml 2012-01-06 10:34:01.830221577 +0100
++++ policykit/docs/man/pklocalauthority.xml 2012-01-06 10:39:24.206237179 +0100
+@@ -385,10 +385,10 @@
+ </para>
+ <programlisting>
+ [Configuration]
+-AdminIdentities=unix-group:staff
++AdminIdentities=unix-group:desktop_admin_r
+ </programlisting>
+ <para>
+- specifies that any user in the <literal>staff</literal> UNIX
++ that any user in the <literal>desktop_admin_r</literal> UNIX
+ group can be used for authentication when administrator
+ authentication is needed. This file would typically be installed
+ in the <filename>/etc/polkit-1/localauthority.conf.d</filename>
+Index: policykit/src/polkitbackend/50-localauthority.conf
+===================================================================
+--- policykit.orig/src/polkitbackend/50-localauthority.conf 2012-01-06 10:33:58.254221404 +0100
++++ policykit/src/polkitbackend/50-localauthority.conf 2012-01-06 10:39:24.210237180 +0100
+@@ -7,4 +7,4 @@
+ #
+
+ [Configuration]
+-AdminIdentities=unix-group:wheel
++AdminIdentities=unix-user:0
diff --git a/source/l/polkit/polkit.SlackBuild b/source/l/polkit/polkit.SlackBuild
index a4bb9fc11..9784bdb54 100755
--- a/source/l/polkit/polkit.SlackBuild
+++ b/source/l/polkit/polkit.SlackBuild
@@ -2,7 +2,7 @@
# Copyright 2009, 2011 Robby Workman, Northport, Alabama, USA
# Copyright 2010 Eric Hameleers, Eindhoven, NL
-# Copyright 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010, 2011, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
PKGNAM=polkit
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -72,6 +72,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/05_revert-admin-identities-unix-group-wheel.patch.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \